API ReferenceDay-ahead Locational Marginal Price (US)
History
get
/v4/locational-marginal-price-day-ahead/historyGet the last 24 hours of day-ahead locational marginal price for a pricing node. Addressed by node, not zone.
Query Parameters
node required
A pricing node identifier. Required — LMP endpoints are addressed by node rather than zone.
Example: "ROGUE_LNODER1"
temporalGranularity optional
The temporal granularity of the data to get.
Default: "hourly"
One of: "hourly"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/locational-marginal-price-day-ahead/history?node=ROGUE_LNODER1"{ "entityName": "ROGUE_LNODER1", "entityType": "PNODE", "history": [ { "entityType": "PNODE", "entityName": "ROGUE_LNODER1", "datetime": "2025-12-10T10:00:00.000Z", "createdAt": "2025-12-09T14:41:00.558Z", "updatedAt": "2025-12-09T14:41:00.558Z", "lmp": 40, "unit": "USD/MWh", "congestion": 0, "energy": 42, "loss": -2, "greenhouseGas": 22, "source": "nordpool.com", "temporalGranularity": "hourly" } ], "temporalGranularity": "hourly"}Playground
get
/v4/locational-marginal-price-day-ahead/historyExplore the API with a 14-day trial.